# Get Tracking Domain

| HTTP method | Endpoint        |
| ----------- | --------------- |
| **GET**     | **/v1/domains** |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field            | Type    | Description                                                                                                                   |
| ---------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------- |
| domain\_id       | integer | Domain id                                                                                                                     |
| tracking\_domain | string  | the domain to generate offer tracking link and postback                                                                       |
| ssl\_status      | integer | Enable/Disable SSL .\</br>1.Enabled: cryptographic protocol is applied\</br>2.Disabled: cryptographic protocol is not applied |
| is\_default      | integer | Default domain? \</br>0 No;\</br>1 Yes;                                                                                       |

## Example request <a href="#example-request" id="example-request"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/domains>

## Example response <a href="#example-response" id="example-response"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": [
        {
            "domain_id": 1,
            "tracking_domain": "click.dev.offerslook.com:9080",
            "ssl_status": 1,
            "is_default": 1
        },
        {
            "domain_id": 2,
            "tracking_domain": "b.com",
            "ssl_status": 0,
            "is_default": 0
        },
        {
            "domain_id": 3,
            "tracking_domain": "a.com",
            "ssl_status": 0,
            "is_default": 0
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/tracking_domain/get_tracking_domain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
